> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/reference/frends-platform-api/platform-api-reference/private-application.md).

# Private Application

## GET /api/v1/private-application/{id}

> Get Private Application

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}":{"get":{"tags":["PrivateApplication"],"summary":"Get Private Application","operationId":"SinglePrivateApplication","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfPrivateApplicationViewModel"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ResponseOfPrivateApplicationViewModel":{"required":["data"],"type":"object","properties":{"data":{"oneOf":[{"type":"null"},{"description":"Response data","$ref":"#/components/schemas/PrivateApplicationViewModel"}]}}},"PrivateApplicationViewModel":{"required":["id","modifier","modifiedUtc","hasTokens","hasActiveTokens","nextTokenExpiry","name","description","defaultTokenLifetimeDays","customTokenClaims","tags"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Id of the application","format":"int64"},"modifier":{"type":"string","description":"Modifier of the application"},"modifiedUtc":{"type":"string","description":"Last modified date of the application","format":"date-time"},"hasTokens":{"type":"boolean","description":"Indicates if the application contains tokens"},"hasActiveTokens":{"type":"boolean","description":"Indicates if the application contains not revoked tokens"},"nextTokenExpiry":{"type":["null","string"],"description":"Next token expiry date","format":"date-time"},"name":{"type":"string","description":"Name of the application"},"description":{"type":["null","string"],"description":"Description of the application"},"defaultTokenLifetimeDays":{"maximum":730,"minimum":1,"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Default token lifetime in days","format":"int32"},"customTokenClaims":{"description":"Custom token claims","$ref":"#/components/schemas/JsonObject"},"tags":{"type":"array","items":{"type":"string"},"description":"Tags for the application"}}},"JsonObject":{"type":"object"},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## PUT /api/v1/private-application/{id}

> Update Private Application

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}":{"put":{"tags":["PrivateApplication"],"summary":"Update Private Application","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"requestBody":{"description":"Private Application model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyApplicationModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOflong"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"410":{"description":"Gone","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ModifyApplicationModel":{"required":["name","description","defaultTokenLifetimeDays","customTokenClaims","tags"],"type":"object","properties":{"name":{"type":"string","description":"Name of the application"},"description":{"type":["null","string"],"description":"Description of the application"},"defaultTokenLifetimeDays":{"maximum":730,"minimum":1,"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Default token lifetime in days","format":"int32"},"customTokenClaims":{"description":"Custom token claims","$ref":"#/components/schemas/JsonObject"},"tags":{"type":"array","items":{"type":"string"},"description":"Tags for the application"}}},"JsonObject":{"type":"object"},"ResponseOflong":{"required":["data"],"type":"object","properties":{"data":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Response data","format":"int64"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## DELETE /api/v1/private-application/{id}

> Delete Private Application

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}":{"delete":{"tags":["PrivateApplication"],"summary":"Delete Private Application","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## List Private Applications

> If response data is empty there were no Private Applications found with the chosen filters

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application":{"get":{"tags":["PrivateApplication"],"summary":"List Private Applications","description":"If response data is empty there were no Private Applications found with the chosen filters","operationId":"ListPrivateApplications","parameters":[{"name":"NameFilter","in":"query","description":"Filter by name of the application","schema":{"type":"string"}},{"name":"DescriptionFilter","in":"query","description":"Filter by description of the application","schema":{"type":"string"}},{"name":"TokenContentFilter","in":"query","description":"Filter by token content","schema":{"type":"string"}},{"name":"FilterMode","in":"query","description":"Filter mode for the filters","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"TokenExpiringWithinDays","in":"query","description":"Filter by tokens expiring within X days","schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfListOfPrivateApplicationViewModel"}}}}}}}},"components":{"schemas":{"FilterMode":{"enum":["Or","And"]},"ResponseOfListOfPrivateApplicationViewModel":{"required":["data"],"type":"object","properties":{"data":{"type":["null","array"],"items":{"$ref":"#/components/schemas/PrivateApplicationViewModel"},"description":"Response data"}}},"PrivateApplicationViewModel":{"required":["id","modifier","modifiedUtc","hasTokens","hasActiveTokens","nextTokenExpiry","name","description","defaultTokenLifetimeDays","customTokenClaims","tags"],"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Id of the application","format":"int64"},"modifier":{"type":"string","description":"Modifier of the application"},"modifiedUtc":{"type":"string","description":"Last modified date of the application","format":"date-time"},"hasTokens":{"type":"boolean","description":"Indicates if the application contains tokens"},"hasActiveTokens":{"type":"boolean","description":"Indicates if the application contains not revoked tokens"},"nextTokenExpiry":{"type":["null","string"],"description":"Next token expiry date","format":"date-time"},"name":{"type":"string","description":"Name of the application"},"description":{"type":["null","string"],"description":"Description of the application"},"defaultTokenLifetimeDays":{"maximum":730,"minimum":1,"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Default token lifetime in days","format":"int32"},"customTokenClaims":{"description":"Custom token claims","$ref":"#/components/schemas/JsonObject"},"tags":{"type":"array","items":{"type":"string"},"description":"Tags for the application"}}},"JsonObject":{"type":"object"}}}}
```

## POST /api/v1/private-application

> Create Private Application

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application":{"post":{"tags":["PrivateApplication"],"summary":"Create Private Application","requestBody":{"description":"Private Application model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyApplicationModel"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"description":"Location of the created Private Application","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOflong"}}}},"400":{"description":"Bad Request","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ModifyApplicationModel":{"required":["name","description","defaultTokenLifetimeDays","customTokenClaims","tags"],"type":"object","properties":{"name":{"type":"string","description":"Name of the application"},"description":{"type":["null","string"],"description":"Description of the application"},"defaultTokenLifetimeDays":{"maximum":730,"minimum":1,"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Default token lifetime in days","format":"int32"},"customTokenClaims":{"description":"Custom token claims","$ref":"#/components/schemas/JsonObject"},"tags":{"type":"array","items":{"type":"string"},"description":"Tags for the application"}}},"JsonObject":{"type":"object"},"ResponseOflong":{"required":["data"],"type":"object","properties":{"data":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Response data","format":"int64"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## List Private Application Tokens

> If response data is empty there were no tokens found for the Private Application

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}/tokens":{"get":{"tags":["PrivateApplication"],"summary":"List Private Application Tokens","description":"If response data is empty there were no tokens found for the Private Application","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}},{"name":"PageNumber","in":"query","schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}},{"name":"PageSize","in":"query","schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"}},{"name":"NameFilter","in":"query","description":"Filter by name of the token","schema":{"type":"string"}},{"name":"IsExpiredFilter","in":"query","description":"Filter by token expiry status","schema":{"type":"boolean"}},{"name":"IsRevokedFilter","in":"query","description":"Filter by token revocation status","schema":{"type":"boolean"}},{"name":"ClaimKeyFilter","in":"query","description":"Filter by token claim key","schema":{"type":"string"}},{"name":"FilterMode","in":"query","description":"Filter mode for the filters","schema":{"$ref":"#/components/schemas/FilterMode"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfPrivateApplicationTokensResponse"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"FilterMode":{"enum":["Or","And"]},"ResponseOfPrivateApplicationTokensResponse":{"required":["data"],"type":"object","properties":{"data":{"oneOf":[{"type":"null"},{"description":"Response data","$ref":"#/components/schemas/PrivateApplicationTokensResponse"}]}}},"PrivateApplicationTokensResponse":{"required":["tokens"],"type":"object","properties":{"tokenCount":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"format":"int32"},"tokens":{"type":"array","items":{"$ref":"#/components/schemas/PrivateApplicationTokenViewModel"}}}},"PrivateApplicationTokenViewModel":{"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Id of the token","format":"int64"},"name":{"type":"string","description":"Name of the token"},"expiryTimeUtc":{"type":"string","description":"Expiry time of the token","format":"date-time"},"createTimeUtc":{"type":"string","description":"Create time of the token","format":"date-time"},"tokenClaims":{"description":"Token claims","$ref":"#/components/schemas/JsonObject"},"creator":{"type":"string","description":"Creator of the token"},"revoker":{"type":["null","string"],"description":"Revoker of the token"},"revokeTimeUtc":{"type":["null","string"],"description":"Revoked time of the token","format":"date-time"},"revokeReason":{"type":["null","string"],"description":"Reason for revoking the token"},"fullToken":{"type":"string","description":"Raw token"},"payloadOnly":{"type":"string","description":"Only payload part of the token"}}},"JsonObject":{"type":"object"},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## POST /api/v1/private-application/{id}/tokens

> Create Private Application Token

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}/tokens":{"post":{"tags":["PrivateApplication"],"summary":"Create Private Application Token","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"requestBody":{"description":"Private Application Token model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateApplicationTokenCreateModel"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"description":"Location of the created Private Application Token","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOflong"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PrivateApplicationTokenCreateModel":{"required":["name","tokenClaims"],"type":"object","properties":{"name":{"type":"string","description":"Name of the token"},"tokenLifetimeDays":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"description":"Token lifetime in days","format":"int32"},"tokenClaims":{"description":"Token claims","$ref":"#/components/schemas/JsonObject"}}},"JsonObject":{"type":"object"},"ResponseOflong":{"required":["data"],"type":"object","properties":{"data":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Response data","format":"int64"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## GET /api/v1/private-application/{id}/tokens/{tokenId}

> Get Private Application Token

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}/tokens/{tokenId}":{"get":{"tags":["PrivateApplication"],"summary":"Get Private Application Token","operationId":"SinglePrivateApplicationToken","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}},{"name":"tokenId","in":"path","description":"Private Application Token Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfPrivateApplicationTokenViewModel"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ResponseOfPrivateApplicationTokenViewModel":{"required":["data"],"type":"object","properties":{"data":{"oneOf":[{"type":"null"},{"description":"Response data","$ref":"#/components/schemas/PrivateApplicationTokenViewModel"}]}}},"PrivateApplicationTokenViewModel":{"type":"object","properties":{"id":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Id of the token","format":"int64"},"name":{"type":"string","description":"Name of the token"},"expiryTimeUtc":{"type":"string","description":"Expiry time of the token","format":"date-time"},"createTimeUtc":{"type":"string","description":"Create time of the token","format":"date-time"},"tokenClaims":{"description":"Token claims","$ref":"#/components/schemas/JsonObject"},"creator":{"type":"string","description":"Creator of the token"},"revoker":{"type":["null","string"],"description":"Revoker of the token"},"revokeTimeUtc":{"type":["null","string"],"description":"Revoked time of the token","format":"date-time"},"revokeReason":{"type":["null","string"],"description":"Reason for revoking the token"},"fullToken":{"type":"string","description":"Raw token"},"payloadOnly":{"type":"string","description":"Only payload part of the token"}}},"JsonObject":{"type":"object"},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## POST /api/v1/private-application/{id}/tokens/{tokenId}

> Regenerate Private Application Token

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}/tokens/{tokenId}":{"post":{"tags":["PrivateApplication"],"summary":"Regenerate Private Application Token","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}},{"name":"tokenId","in":"path","description":"Private Application Token Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"responses":{"201":{"description":"Created","headers":{"Location":{"description":"Location of the created Private Application Token","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOflong"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ResponseOflong":{"required":["data"],"type":"object","properties":{"data":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Response data","format":"int64"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## POST /api/v1/private-application/{id}/tokens/revocation

> Revoke all tokens of Private Application

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}/tokens/revocation":{"post":{"tags":["PrivateApplication"],"summary":"Revoke all tokens of Private Application","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"requestBody":{"description":"Revocation reason","content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOfint"}}}},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ResponseOfint":{"required":["data"],"type":"object","properties":{"data":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["integer","string"],"description":"Response data","format":"int32"}}},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```

## POST /api/v1/private-application/{id}/tokens/{tokenId}/revocation

> Revoke token of Private Application

```json
{"openapi":"3.1.1","info":{"title":"Frends API","version":"1.0.0"},"tags":[{"name":"PrivateApplication"}],"servers":[{"url":"https://example.v64.frendsapp.com/"}],"security":[{}],"paths":{"/api/v1/private-application/{id}/tokens/{tokenId}/revocation":{"post":{"tags":["PrivateApplication"],"summary":"Revoke token of Private Application","parameters":[{"name":"id","in":"path","description":"Private Application Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}},{"name":"tokenId","in":"path","description":"Private Application Token Id","required":true,"schema":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":"integer","format":"int64"}}],"requestBody":{"description":"Token revocation reason","content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"pattern":"^-?(?:0|[1-9]\\d*)$","type":["null","integer","string"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.frends.com/reference/frends-platform-api/platform-api-reference/private-application.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
